// VideoEditDlg.h : header file
//
//{{AFX_INCLUDES()
#include "videoedit1.h"
//}}AFX_INCLUDES

#if !defined(AFX_VIDEOEDITDLG_H__EAF925CB_C799_4545_85C4_250048084708__INCLUDED_)
#define AFX_VIDEOEDITDLG_H__EAF925CB_C799_4545_85C4_250048084708__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CVideoEditDlg dialog
#include "VideoCompressors.h"
#include "AudioCompressors.h"
#include "Transitions.h"
#include "WMVProfiles.h"
#include "DlgProgress.h"

class CVideoEditDlg : public CDialog
{
// Construction
public:
	CVideoEditDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CVideoEditDlg)
	enum { IDD = IDD_VIDEOEDIT_DIALOG };
	CButton	m_ChkCustomProfile;
	CEdit	m_EditWidth;
	CEdit	m_EditFrame;
	CEdit	m_EditHeight;
	CButton	m_ChkVBRMode;
	CEdit	m_EditAudioBitRate;
	CEdit	m_EditVideoBitRate;
	CEdit	m_EditMPEGQuality;
	CButton	m_OptMPEG;
	CComboBox	m_CboMPEGFrameRate;
	CComboBox	m_CboMPEGType;
	CEdit	m_EditTran3;
	CEdit	m_EditTran2;
	CEdit	m_EditTran1;
	CEdit	m_EditBgVideo;
	CButton	m_ChkUseAudioComp;
	CComboBox	m_CboAudioComp;
	CButton	m_ChkUseVideoComp;
	CButton	m_OptOutput;
	CButton	m_ChkOutputWMV;
	CEdit	m_EditAudio3;
	CEdit	m_EditAudio2;
	CEdit	m_EditAudio1;
	CEdit	m_EditVideo3;
	CEdit	m_EditVideo2;
	CEdit	m_EditVideo1;
	CComboBox	m_CboVideoComp;
	CComboBox	m_CboWMV;
	CVideoEdit	m_VideoEdit;
	double	m_Start1;
	double	m_Start2;
	double	m_Start3;
	double	m_Stop1;
	double	m_Stop2;
	double	m_Stop3;
	double	m_AudioStart1;
	double	m_AudioStart2;
	double	m_AudioStart3;
	double	m_AudioStop1;
	double	m_AudioStop2;
	double	m_AudioStop3;
	double	m_BgStart1;
	double	m_BgStop1;
	double	m_TranStart1;
	double	m_TranStop1;
	double	m_TranStart2;
	double	m_TranStop2;
	double	m_TranStart3;
	double	m_TranStop3;
	int		m_iHeight;
	int		m_iWidth;
	int		m_iStretchMode;
	double	m_iExport1;
	double	m_iExport2;
	double	m_iExport3;
	int		m_iMPEGQuality;
	long	m_iVideoBitRate;
	long	m_iAudioBitRate;
	int		m_iOutputType;
	int		m_iPreview;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CVideoEditDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

	CDlgProgress dlgProg;
	int m_iTranID1,m_iTranID2,m_iTranID3;
	

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CVideoEditDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnBtnvideo1();
	afx_msg void OnBtnvideo2();
	afx_msg void OnBtnvideo3();
	afx_msg void OnBtnaudio1();
	afx_msg void OnBtnaudio2();
	afx_msg void OnBtnaudio3();
	afx_msg void OnChkoutputwmv();
	afx_msg void OnBtnstart();
	afx_msg void OnCompleteVideoeditctrl1();
	afx_msg void OnProcessingVideoeditctrl1(double iCurPos, double iDuration);
	afx_msg void OnBtnsetting();
	afx_msg void OnBtnstop();
	afx_msg void OnChkusevideocomp();
	afx_msg void OnChkuseaudiocomp();
	afx_msg void OnBtnbgvideo();
	afx_msg void OnBtntran1();
	afx_msg void OnBtntran2();
	afx_msg void OnBtntran3();
	afx_msg void OnBtnexport1();
	afx_msg void OnBtnexport2();
	afx_msg void OnBtnexport3();
	afx_msg void OnBtnexportwave1();
	afx_msg void OnBtnexportwave2();
	afx_msg void OnBtnexportwave3();
	afx_msg void OnOptoutputtye();
	afx_msg void OnOptavi();
	afx_msg void OnChkvbrmode();
	afx_msg void OnSelchangeCbompegtype();
	afx_msg void OnOptwmv();
	afx_msg void OnChkcustomprofile();
	DECLARE_EVENTSINK_MAP()
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_VIDEOEDITDLG_H__EAF925CB_C799_4545_85C4_250048084708__INCLUDED_)
